Tryton - Issues



Title Missing implementation of drop_column for SQLite
Priority bug Status resolved
Superseder Nosy List ced, mrichez, reviewbot, roundup-bot
Type behavior Components trytond
Assigned To mrichez Keywords review
Reviews 30311002, 32641002, 33491002
View: 30311002, 32641002, 33491002

Created on 2012-06-12.09:43:47 by ced, last changed by roundup-bot.

msg29632 (view) Author: [hidden] (roundup-bot) Date: 2016-10-24.16:15:43
New changeset cc07ebec2226 by Maxime Richez in branch 'default':
Re-fix TypeError on drop_column for SQLite
msg29452 (view) Author: [hidden] (reviewbot) Date: 2016-10-20.11:03:07
New review33491002 at
msg29447 (view) Author: [hidden] (mrichez) Date: 2016-10-20.10:22:54
Reopened issue for bug: "TypeError: tuple indices must be integers, not str"
msg29339 (view) Author: [hidden] (roundup-bot) Date: 2016-10-13.10:06:40
New changeset 9c2eb1b04df8 by Maxime Richez in branch 'default':
Fix TypeError on drop_column for SQLite
msg29286 (view) Author: [hidden] (reviewbot) Date: 2016-10-11.17:20:12
review32641002 updated at
msg29285 (view) Author: [hidden] (reviewbot) Date: 2016-10-11.17:03:39
review32641002 updated at
msg29284 (view) Author: [hidden] (mrichez) Date: 2016-10-11.17:02:46
Reopened issue for bug: "TypeError: tuple indices must be integers, not str"
msg29283 (view) Author: [hidden] (reviewbot) Date: 2016-10-11.16:32:31
New review32641002 at
msg27906 (view) Author: [hidden] (roundup-bot) Date: 2016-08-23.17:35:04
New changeset a3ef75ef8f6a by Maxime Richez in branch 'default':
Add missing implementation of drop_column for SQLite
msg27905 (view) Author: [hidden] (reviewbot) Date: 2016-08-23.17:21:57
review30311002 updated at
msg27801 (view) Author: [hidden] (reviewbot) Date: 2016-08-19.16:15:21
review30311002 updated at
msg27769 (view) Author: [hidden] (reviewbot) Date: 2016-08-17.16:19:39
review30311002 updated at
msg27245 (view) Author: [hidden] (reviewbot) Date: 2016-07-20.09:00:21
review30311002 updated at
msg27100 (view) Author: [hidden] (reviewbot) Date: 2016-07-15.11:30:17
review30311002 updated at
msg27057 (view) Author: [hidden] (reviewbot) Date: 2016-07-13.14:30:19
review30311002 updated at
msg27049 (view) Author: [hidden] (reviewbot) Date: 2016-07-13.11:30:17
New review30311002 at
msg10983 (view) Author: [hidden] (ced) (Tryton committer) (Tryton translator) Date: 2012-06-12.09:43:46
Some migration code are based on the assumption that the column will be dropped
when the code is run a second times.
The drop_column [1] should be implemented the same way as column_rename [2]

Date User Action Args
2016-10-24 16:15:44roundup-botsetstatus: in-progress -> resolved
messages: + msg29632
2016-10-20 11:03:07reviewbotsetmessages: + msg29452
2016-10-20 11:03:06reviewbotsetreviews: 30311002, 32641002 -> 30311002, 32641002, 33491002
2016-10-20 10:22:54mrichezsetstatus: resolved -> in-progress
messages: + msg29447
2016-10-13 10:06:40roundup-botsetstatus: in-progress -> resolved
messages: + msg29339
2016-10-11 17:20:12reviewbotsetmessages: + msg29286
2016-10-11 17:03:39reviewbotsetmessages: + msg29285
2016-10-11 17:02:46mrichezsetmessages: + msg29284
2016-10-11 16:32:31reviewbotsetmessages: + msg29283
2016-10-11 16:32:31reviewbotsetreviews: 30311002 -> 30311002, 32641002

Showing 10 items. Show all history (warning: this could be VERY long)